/*
;-----------------------------------------------------------------------------
;-      ATMEL Microcontroller Software Support  -   ROUSSET -
;-----------------------------------------------------------------------------
; The software is delivered "AS IS" without warranty or condition of any
; kind, either express, implied or statutory. This includes without
; limitation any warranty or condition with respect to merchantability or
; fitness for any particular purpose, or against the infringements of
; intellectual property rights of others.
;-----------------------------------------------------------------------------
;- File Name            : sf.inc
;- Object               : Special Function Definition File.
;- Translator           : ARM Software Development Toolkit V2.11a
;-
;- 1.0 10/03/98 JCZ     : Creation
;- 2.0 21/10/98 JCZ     : Clean up.
;-----------------------------------------------------------------------------
*/
/*
;-------------------------------------
; Chip Identification Module Structure
;-------------------------------------
*/
.equ	SF_CIDR,0x00       /* Chip ID Register */
.equ	SF_EXID,0x04       /* Chip ID Extension Register */
.equ	SF_RSF,0x08	   /* Reset Status Register */
/*
;-----------------------------------------------
;- Chip Identification Register Bits Definition
;-----------------------------------------------
*/
/*- Version Number */
.equ	VERSION,(0x1F<<0)

/*- Non Volatile Program Memory Size */
.equ	NVPSIZ,(0x0F<<8)

/*- Non Volatile Data Memory Size */
.equ	NVDSIZ,(0x0F<<12)

/* Volatile Data Memory Size */
.equ	VDSIZ,(0x0F<<16)

/*- Architecture Code */
.equ	ARCH,(0xFF<<20)

/*- Non Volatile Program Memory Type */
.equ	NVPTYP,(0x07<<28)

/*- Extension Flag */
.equ	EXT,(0x01<<31)
/*
;------------------------------
;- Reset Status Flag Definition
;------------------------------
*/
.equ	EXT_RESET,0x6C
.equ	WD_RESET,0x53

/*
;--------------------------------
;- Device Dependancies Definition
;--------------------------------
*/
    .IFDEF AT91M40400
.equ	SF_BASE,0xFFF00000
    .ENDIF


